#ghost-panel{
  width: 650px;
  min-width: 650px;
  height: 100vh;
}

#chat-box{
  width: 650px;
  min-width: 650px;
  height: 100vh;
  position: fixed;
  background: #191a1a;
  right: 0;
  border-left: 1px solid #eaeaea;
}

#toggle-chat-btn{
  height: 50px;
  width: 21px;
  position: fixed;
  top: 50%;
  border-radius: 14px;
  z-index: 1;
  background: #191a1a;
}
#toggle-chat-btn:hover{
  background: #515151;
}
#toggle-chat-btn.expanded{
  right: calc(650px - 11px);
  border: 2px solid #191a1a;
}
#toggle-chat-btn.collapsed{
  rotate: 180deg;
  right:-5px;
  border: 2px solid #f7f7f7;
}

#chat-rooms{
  width: calc(100% - 30px);
  height: 26px;
  z-index: 1;
  position: absolute;
  display: flex;
  flex-flow: wrap-reverse;
  box-sizing:border-box;
  background: #5865f2;
  border-top: 2px solid #191a1a;
}

.tab-btn{
  font-size: 1.1em;
  height: 26px;
  border: 2px solid #191a1a;
  border-bottom: none;
}

.room-tab{
  border-right: none;
  overflow: hidden;
  width: auto;
}
.room-tab.active{
  background: #ffe100;
  padding: 0 5px !important;
}
.room-tab.inactive{
  padding: 0 20px;
}
.room-tab:first-of-type{
}

#add-room-btn, #close-chat-btn{
  width: 30px;
}
#close-chat-btn{
  color: #fefefe;
  position: absolute;
  right: 0;
  font-weight: bold;
  background: #9b2a2a;
  background-image: linear-gradient(to top, #ff5d4c 0%, #a10241 100%);
}

#chat-input{
  bottom: 7px;
  height: 30px;
  position: absolute;
  width: 100%;
  padding-top: 5px;
  border-top: 2px solid #5b5b5b;
  background: #191a1a;
}

#chat-input-symbol{
  width: 10px;
  color: #fff;
  background: transparent;
  border: none;
  font-family: monospace;
}
#chat-input-symbol:hover{
  cursor: default;
}

#chat-input-box{
  width: calc(100% - 10px - 2em);
  color: #fff;
  margin-left: -10px !important;
  background: transparent;
  border: none;
  border-radius: 7px;
  font-family: monospace;
}
#chat-input-box:hover{
  cursor: text;
}
#chat-input-box:focus{
  border: none !important;
  outline: none !important;
}

#chat-messages{
  color: #fff;
  top: 28px;
  width: calc(100% - 2em);
  -ms-overflow-style: none;
  background: #191a1a;
  scrollbar-width: none;
  overflow: auto;
  bottom: 40px;
  left: 1em;
  position: absolute;
}
#chat-messages::-webkit-scrollbar{
  display: none;
}
#chat-messages p{
  line-height: 1.5em;
}
